package com.bocloud.cmp.model.hmc.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

/**
 * 虚拟IO服务器
 *
 * @author sxp
 * @since May 11, 2018
 */
public class VirtualIOServer {
    private Metadata metadata;
    private String allowPerformanceDataCollection;
    private AssociatedPartitionProfile associatedPartitionProfile;
    private String availabilityPriority;
    private String currentAllocatedBarrierSynchronizationRegisterArrays;
    private String currentProcessorCompatibilityMode;
    private String currentProfileSync;
    private String isCallHomeEnabled;
    private String isConnectionMonitoringEnabled;
    private String isOperationInProgress;
    private String isRedundantErrorPathReportingEnabled;
    private String isTimeReferencePartition;
    private String isVirtualServiceAttentionLEDOn;
    private String keylockPosition;
    private String logicalSerialNumber;
    private String operatingSystemVersion;
    private PartitionCapabilities partitionCapabilities;
    private String partitionID;
    private PartitionIOConfiguration partitionIOConfiguration;
    private PartitionMemoryConfiguration partitionMemoryConfiguration;
    private String partitionName;
    private PartitionProcessorConfiguration partitionProcessorConfiguration;
    private PartitionProfiles partitionProfiles;
    private String partitionState;
    private String partitionType;
    private String partitionUUID;
    private String pendingProcessorCompatibilityMode;
    private ProcessorPool processorPool;
    private String progressState;
    private String resourceMonitoringControlState;
    private String resourceMonitoringIPAddress;
    private AssociatedManagedSystem associatedManagedSystem;
    private HostEthernetAdapterLogicalPorts hostEthernetAdapterLogicalPorts;
    private String macAddressPrefix;
    private String isServicePartition;
    private String referenceCode;
    private AssignAllResources assignAllResources;
    private PowerOnWithHypervisor powerOnWithHypervisor;
    private String apiCapable;
    private String managerPassthroughCapable;
    private MediaRepositories mediaRepositories;
    private String moverServicePartition;
    private PhysicalVolumes physicalVolumes;
    private SharedEthernetAdapters sharedEthernetAdapters;
    private StoragePools storagePools;
    private TrunkAdapters trunkAdapters;
    private String virtualIoServerLicenseAccepted;
    private VirtualFibreChannelMappings virtualFibreChannelMappings;
    private VirtualSCSIMappings virtualSCSIMappings;
    private FreeIOAdaptersForLinkAggregation freeIOAdaptersForLinkAggregation;
    private FreeEthenetBackingDevicesForSEA freeEthenetBackingDevicesForSEA;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getAllowPerformanceDataCollection() {
        return allowPerformanceDataCollection;
    }

    public void setAllowPerformanceDataCollection(String allowPerformanceDataCollection) {
        this.allowPerformanceDataCollection = allowPerformanceDataCollection;
    }

    public AssociatedPartitionProfile getAssociatedPartitionProfile() {
        return associatedPartitionProfile;
    }

    public void setAssociatedPartitionProfile(AssociatedPartitionProfile associatedPartitionProfile) {
        this.associatedPartitionProfile = associatedPartitionProfile;
    }

    public String getAvailabilityPriority() {
        return availabilityPriority;
    }

    public void setAvailabilityPriority(String availabilityPriority) {
        this.availabilityPriority = availabilityPriority;
    }

    public String getCurrentAllocatedBarrierSynchronizationRegisterArrays() {
        return currentAllocatedBarrierSynchronizationRegisterArrays;
    }

    public void setCurrentAllocatedBarrierSynchronizationRegisterArrays(
        String currentAllocatedBarrierSynchronizationRegisterArrays) {
        this.currentAllocatedBarrierSynchronizationRegisterArrays = currentAllocatedBarrierSynchronizationRegisterArrays;
    }

    public String getCurrentProcessorCompatibilityMode() {
        return currentProcessorCompatibilityMode;
    }

    public void setCurrentProcessorCompatibilityMode(String currentProcessorCompatibilityMode) {
        this.currentProcessorCompatibilityMode = currentProcessorCompatibilityMode;
    }

    public String getCurrentProfileSync() {
        return currentProfileSync;
    }

    public void setCurrentProfileSync(String currentProfileSync) {
        this.currentProfileSync = currentProfileSync;
    }

    public String getIsCallHomeEnabled() {
        return isCallHomeEnabled;
    }

    public void setIsCallHomeEnabled(String isCallHomeEnabled) {
        this.isCallHomeEnabled = isCallHomeEnabled;
    }

    public String getIsConnectionMonitoringEnabled() {
        return isConnectionMonitoringEnabled;
    }

    public void setIsConnectionMonitoringEnabled(String isConnectionMonitoringEnabled) {
        this.isConnectionMonitoringEnabled = isConnectionMonitoringEnabled;
    }

    public String getIsOperationInProgress() {
        return isOperationInProgress;
    }

    public void setIsOperationInProgress(String isOperationInProgress) {
        this.isOperationInProgress = isOperationInProgress;
    }

    public String getIsRedundantErrorPathReportingEnabled() {
        return isRedundantErrorPathReportingEnabled;
    }

    public void setIsRedundantErrorPathReportingEnabled(String isRedundantErrorPathReportingEnabled) {
        this.isRedundantErrorPathReportingEnabled = isRedundantErrorPathReportingEnabled;
    }

    public String getIsTimeReferencePartition() {
        return isTimeReferencePartition;
    }

    public void setIsTimeReferencePartition(String isTimeReferencePartition) {
        this.isTimeReferencePartition = isTimeReferencePartition;
    }

    public String getIsVirtualServiceAttentionLEDOn() {
        return isVirtualServiceAttentionLEDOn;
    }

    public void setIsVirtualServiceAttentionLEDOn(String isVirtualServiceAttentionLEDOn) {
        this.isVirtualServiceAttentionLEDOn = isVirtualServiceAttentionLEDOn;
    }

    public String getKeylockPosition() {
        return keylockPosition;
    }

    public void setKeylockPosition(String keylockPosition) {
        this.keylockPosition = keylockPosition;
    }

    public String getLogicalSerialNumber() {
        return logicalSerialNumber;
    }

    public void setLogicalSerialNumber(String logicalSerialNumber) {
        this.logicalSerialNumber = logicalSerialNumber;
    }

    public String getOperatingSystemVersion() {
        return operatingSystemVersion;
    }

    public void setOperatingSystemVersion(String operatingSystemVersion) {
        this.operatingSystemVersion = operatingSystemVersion;
    }

    public PartitionCapabilities getPartitionCapabilities() {
        return partitionCapabilities;
    }

    public void setPartitionCapabilities(PartitionCapabilities partitionCapabilities) {
        this.partitionCapabilities = partitionCapabilities;
    }

    public String getPartitionID() {
        return partitionID;
    }

    public void setPartitionID(String partitionID) {
        this.partitionID = partitionID;
    }

    public PartitionIOConfiguration getPartitionIOConfiguration() {
        return partitionIOConfiguration;
    }

    public void setPartitionIOConfiguration(PartitionIOConfiguration partitionIOConfiguration) {
        this.partitionIOConfiguration = partitionIOConfiguration;
    }

    public PartitionMemoryConfiguration getPartitionMemoryConfiguration() {
        return partitionMemoryConfiguration;
    }

    public void setPartitionMemoryConfiguration(PartitionMemoryConfiguration partitionMemoryConfiguration) {
        this.partitionMemoryConfiguration = partitionMemoryConfiguration;
    }

    public String getPartitionName() {
        return partitionName;
    }

    public void setPartitionName(String partitionName) {
        this.partitionName = partitionName;
    }

    public PartitionProcessorConfiguration getPartitionProcessorConfiguration() {
        return partitionProcessorConfiguration;
    }

    public void setPartitionProcessorConfiguration(PartitionProcessorConfiguration partitionProcessorConfiguration) {
        this.partitionProcessorConfiguration = partitionProcessorConfiguration;
    }

    public PartitionProfiles getPartitionProfiles() {
        return partitionProfiles;
    }

    public void setPartitionProfiles(PartitionProfiles partitionProfiles) {
        this.partitionProfiles = partitionProfiles;
    }

    public String getPartitionState() {
        return partitionState;
    }

    public void setPartitionState(String partitionState) {
        this.partitionState = partitionState;
    }

    public String getPartitionType() {
        return partitionType;
    }

    public void setPartitionType(String partitionType) {
        this.partitionType = partitionType;
    }

    public String getPartitionUUID() {
        return partitionUUID;
    }

    public void setPartitionUUID(String partitionUUID) {
        this.partitionUUID = partitionUUID;
    }

    public String getPendingProcessorCompatibilityMode() {
        return pendingProcessorCompatibilityMode;
    }

    public void setPendingProcessorCompatibilityMode(String pendingProcessorCompatibilityMode) {
        this.pendingProcessorCompatibilityMode = pendingProcessorCompatibilityMode;
    }

    public ProcessorPool getProcessorPool() {
        return processorPool;
    }

    public void setProcessorPool(ProcessorPool processorPool) {
        this.processorPool = processorPool;
    }

    public String getProgressState() {
        return progressState;
    }

    public void setProgressState(String progressState) {
        this.progressState = progressState;
    }

    public String getResourceMonitoringControlState() {
        return resourceMonitoringControlState;
    }

    public void setResourceMonitoringControlState(String resourceMonitoringControlState) {
        this.resourceMonitoringControlState = resourceMonitoringControlState;
    }

    public String getResourceMonitoringIPAddress() {
        return resourceMonitoringIPAddress;
    }

    public void setResourceMonitoringIPAddress(String resourceMonitoringIPAddress) {
        this.resourceMonitoringIPAddress = resourceMonitoringIPAddress;
    }

    public AssociatedManagedSystem getAssociatedManagedSystem() {
        return associatedManagedSystem;
    }

    public void setAssociatedManagedSystem(AssociatedManagedSystem associatedManagedSystem) {
        this.associatedManagedSystem = associatedManagedSystem;
    }

    public HostEthernetAdapterLogicalPorts getHostEthernetAdapterLogicalPorts() {
        return hostEthernetAdapterLogicalPorts;
    }

    public void setHostEthernetAdapterLogicalPorts(HostEthernetAdapterLogicalPorts hostEthernetAdapterLogicalPorts) {
        this.hostEthernetAdapterLogicalPorts = hostEthernetAdapterLogicalPorts;
    }

    public String getMacAddressPrefix() {
        return macAddressPrefix;
    }

    public void setMacAddressPrefix(String macAddressPrefix) {
        this.macAddressPrefix = macAddressPrefix;
    }

    public String getIsServicePartition() {
        return isServicePartition;
    }

    public void setIsServicePartition(String isServicePartition) {
        this.isServicePartition = isServicePartition;
    }

    public String getReferenceCode() {
        return referenceCode;
    }

    public void setReferenceCode(String referenceCode) {
        this.referenceCode = referenceCode;
    }

    public PowerOnWithHypervisor getPowerOnWithHypervisor() {
        return powerOnWithHypervisor;
    }

    public void setPowerOnWithHypervisor(PowerOnWithHypervisor powerOnWithHypervisor) {
        this.powerOnWithHypervisor = powerOnWithHypervisor;
    }

    public String getApiCapable() {
        return apiCapable;
    }

    public void setApiCapable(String apiCapable) {
        this.apiCapable = apiCapable;
    }

    public String getManagerPassthroughCapable() {
        return managerPassthroughCapable;
    }

    public void setManagerPassthroughCapable(String managerPassthroughCapable) {
        this.managerPassthroughCapable = managerPassthroughCapable;
    }

    public MediaRepositories getMediaRepositories() {
        return mediaRepositories;
    }

    public void setMediaRepositories(MediaRepositories mediaRepositories) {
        this.mediaRepositories = mediaRepositories;
    }

    public String getMoverServicePartition() {
        return moverServicePartition;
    }

    public void setMoverServicePartition(String moverServicePartition) {
        this.moverServicePartition = moverServicePartition;
    }

    public PhysicalVolumes getPhysicalVolumes() {
        return physicalVolumes;
    }

    public void setPhysicalVolumes(PhysicalVolumes physicalVolumes) {
        this.physicalVolumes = physicalVolumes;
    }

    public SharedEthernetAdapters getSharedEthernetAdapters() {
        return sharedEthernetAdapters;
    }

    public void setSharedEthernetAdapters(SharedEthernetAdapters sharedEthernetAdapters) {
        this.sharedEthernetAdapters = sharedEthernetAdapters;
    }

    public StoragePools getStoragePools() {
        return storagePools;
    }

    public void setStoragePools(StoragePools storagePools) {
        this.storagePools = storagePools;
    }

    public TrunkAdapters getTrunkAdapters() {
        return trunkAdapters;
    }

    public void setTrunkAdapters(TrunkAdapters trunkAdapters) {
        this.trunkAdapters = trunkAdapters;
    }

    public String getVirtualIoServerLicenseAccepted() {
        return virtualIoServerLicenseAccepted;
    }

    public void setVirtualIoServerLicenseAccepted(String virtualIoServerLicenseAccepted) {
        this.virtualIoServerLicenseAccepted = virtualIoServerLicenseAccepted;
    }

    public VirtualFibreChannelMappings getVirtualFibreChannelMappings() {
        return virtualFibreChannelMappings;
    }

    public void setVirtualFibreChannelMappings(VirtualFibreChannelMappings virtualFibreChannelMappings) {
        this.virtualFibreChannelMappings = virtualFibreChannelMappings;
    }

    public VirtualSCSIMappings getVirtualSCSIMappings() {
        return virtualSCSIMappings;
    }

    public void setVirtualSCSIMappings(VirtualSCSIMappings virtualSCSIMappings) {
        this.virtualSCSIMappings = virtualSCSIMappings;
    }

    public FreeIOAdaptersForLinkAggregation getFreeIOAdaptersForLinkAggregation() {
        return freeIOAdaptersForLinkAggregation;
    }

    public void setFreeIOAdaptersForLinkAggregation(FreeIOAdaptersForLinkAggregation freeIOAdaptersForLinkAggregation) {
        this.freeIOAdaptersForLinkAggregation = freeIOAdaptersForLinkAggregation;
    }

    public FreeEthenetBackingDevicesForSEA getFreeEthenetBackingDevicesForSEA() {
        return freeEthenetBackingDevicesForSEA;
    }

    public void setFreeEthenetBackingDevicesForSEA(FreeEthenetBackingDevicesForSEA freeEthenetBackingDevicesForSEA) {
        this.freeEthenetBackingDevicesForSEA = freeEthenetBackingDevicesForSEA;
    }

    public AssignAllResources getAssignAllResources() {
        return assignAllResources;
    }

    public void setAssignAllResources(AssignAllResources assignAllResources) {
        this.assignAllResources = assignAllResources;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }
}
